Kerbal Space Program - Bug #1576

[Bug 0.22.0]: Throttle value changed when text box is clicked.
10/18/2013 09:45 AM - madbadger2742

Status: Closed Start date: 10/18/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.22 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

What happens: When throttle axis is bound to (this particular?) joystick's throttle axis, the throttle value is set to 50% if a text field is
clicked with the mouse. Happens in stock installation upon returning to vessel after entering text for a flag/plaque, and in-flight when
using mods with text fields (e.g. Better Maneuver Nodes, MechJeb, Alarm Clock, etc.)

Very brief discussion on forums: http:/forum.kerbalspaceprogram.com/threads/51752-Before-I-submit-a-bug-report

How to reproduce:

all¢ Bind AXIS_THROTTLE to Logitech Extreme 3D axis 3 (throttle control) in settings.
all¢ Fly craft, land, EVA, plant flag

all¢ Click text box for flag with mouse

all¢ Return from EVA

Reproduction with mods:

all¢ Install one of the above listed mods

all¢ In flight, click a text box with mouse

In either case, throttle will be set to 50%, regardless of physical throttle axis position.

Versions Affected:
KSP 0.22.0, 0.21.1 (i.e., all versions | have.)

Notes

all¢! do not know if this bug is hardware specific, as the computer and joystick are the only ones | own. | would imagine, however,
that if it were a problem with all joysticks, this would have been reported earlier. :)

all¢ Previously | did get errors in the debug log, but they appear to be unrelated, as | have been reproducing the bug lately without
throwing any errors, just” [Warning]: [FlightPersistence]: Vessel Flag not saved because it wasn't clear to save:
NOT_IN_ATMOSPHERE "

Hardware setup:

Mid-2007 20" iMac (iMac7,1)

08X 10.8.2 (12C60)

Logitech Extreme 3D Pro joystick PN 963290-0403 ( http:/gaming.logitech.com/en-us/product/extreme-3d-pro-joystick )

History

#1 - 10/18/2013 11:35 AM - madbadger2742

Only log entries out of the ordinary are as follows:

all¢ flag(Clone) is in atmosphere. Cannot save.

all¢ [FlightPersistence]: Vessel Flag not saved because it wasn't clear to save: NOT_IN_ATMOSPHERE
alle dT is NaN! tA: 3.19350637122989, E: 0, M: 0, T: NaN

That dT warning is kind of spammy -- I'll get between 2 and 6 of them in a row, each with different values.

#2 - 10/18/2013 07:17 PM - madbadger2742

Evidently, the bug does not require the text box to be clicked. I just had it happen when | selected the text box via tab.

#3 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification
#4 - 08/07/2016 12:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
